# Accounts

## appmixer.ui.Accounts

![](/files/-L_IxuGwVreephwFv_C4)

The appmixer.ui.Accounts is a UI widget that displays the user's connected accounts.

| Method                         | Description                                                                                                                                                                                                                                                             |
| ------------------------------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `appmixer.ui.Accounts(config)` | Constructor function that accepts `config` object. The `config` object must contain at least the `el` property that points to a container DOM element where the Accounts will be rendered. Filter accounts by setting a custom query string to `config.options.filter`. |
| `open()`                       | Render the Accounts inside its container.                                                                                                                                                                                                                               |
| `close()`                      | Close the Accounts.                                                                                                                                                                                                                                                     |
| `on(event, handler)`           | React on events of the accounts widget. See below for the list of events the accounts widget supports.                                                                                                                                                                  |
| `off([event, handler])`        | Remove event listeners. If no arguments are provided, remove all event listeners. If only the `event` is provided, remove all listeners for that event. If both `event` and `handler` are given, remove the listener for that specific handler only.                    |
| `reload()`                     | Refresh the Accounts.                                                                                                                                                                                                                                                   |

### Accounts Events

| Event       | Callback           | Triggered when...                                              |
| ----------- | ------------------ | -------------------------------------------------------------- |
| `flow:open` | `function(flowId)` | the user clicks to open a flow the account is associated with. |

### Example

```javascript
var accounts = appmixer.ui.Accounts({
    el: '#your-accounts-div'
});
accounts.on('flow:open', function(flowId) {
    designer.set('flowId', flowId);
    designer.open();
});
accounts.open();
```

##


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appmixer.com/6.0/v4.2/appmixer-sdk/api-reference/accounts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
